[FYI] grsecurity 2.1.7 für 2.4.32/2.6.14.2

Rund um die Sicherheit des Systems und die Applikationen
andreask2
Posts: 696
Joined: 2004-01-27 14:16
Location: Aachen

[FYI] grsecurity 2.1.7 für 2.4.32/2.6.14.2

Post by andreask2 » 2005-11-17 11:04

Hallo!

Für die die es (wie ich) noch nicht mitbekommen haben, es gibt ne neue grsecurity Version, endlich auch mal wieder für die 2.6er Kernel-Serie.

Verwendet jemand von Euch noch einen 2.4er Kernel bei Gentoo? Werden die inzwischen nicht mehr so gepflegt wie die 2.6er Serie? Zumindest im Fall von hardened-sources wurden die bereits gefixten Sicherheitslücken noch nicht als -r Versionen veröffentlicht: http://linux.exosec.net/kernel/2.4-hf/2 ... 8/CONTENTS

Grüße
Andreas

PS: könnte schwören, dass ich noch nach dem 12.11. noch nichts auf grsecurity.net gesehen habe...

lord_pinhead
Posts: 774
Joined: 2004-04-26 15:57

Re: [FYI] grsecurity 2.1.7 für 2.4.32/2.6.14.2

Post by lord_pinhead » 2005-11-20 14:59

Nein da hast du recht, daher auch mein Post in einen anderen Thread :) Ich hab das erst am Mittwoch gesehen, bin grad an einer neuen Kiste und hab deswegen auch mal des öfteren raufgeschaut, war erst am Mittwoch irgendwie da. Also läuft bisher ganz gut auf meinen Router, ist aber Debian Sarge. Hab den 2.6.14.2 Kernel genommen, GRSec und Layer 7 Patches für Netfilter + aktuelle Netfilter, läuft klasse bisher.